#
# spec file for package libnet (Version 1.0.2a)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libpcap
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libpcap libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         libnet
Summary:      A C library for portable packet creation
Version:      1.0.2a
Release:      105
Copyright:    Freely distributable
Group:        Development/Libraries
Url:          http://www.packetfactory.net/libnet/
Source:       libnet.tar.bz2
BuildRoot:    /var/tmp/%{name}-build

%description
Libnet is an API to help with the construction and handling of network packets.
It provides a portable framework for low-level network packet writing and
handling (use libnet in conjunction with libpcap and you can write some really
cool stuff). Libnet includes packet creation at the IP layer and at the link
layer as well as a host of supplementary and complementary functionalty. Libnet
is very handy with which to write network tools and network test code. See the
manpage and sample test code for more detailed information.

Authors:
--------
    Mike D. Schiffman <mike@infonexus.com>

SuSE series: d

%prep
%setup -n Libnet-%{version}

%build
%{?suse_update_config:%{suse_update_config}}
autoconf
CFLAGS="$RPM_OPT_FLAGS"	./configure --prefix=%{_prefix} --with-pf_packet=yes
make
make test

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT MAN_PREFIX=%{_mandir}/man3
rm -f doc/libnet.3

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/* example
/usr/bin/*
%{_mandir}/man3/*
/usr/include/*
/usr/lib/*

%changelog -n libnet
* Wed Feb 14 2001 - cihlar@suse.cz
- update to version 1.0.2a
- clean up spec file
* Thu Nov 16 2000 - grimmer@suse.de
- initial package (version 1.0.1b)
